Description

Hello Jan

After installing theide in Xubuntu 64 bits there are some libraries that are not installed by default.

They are, at least:

- libgtk2.0-dev

- libbz2-dev

- libssl-dev

It could be great if you could include them in the dependencies.

History

#1 - 10/23/2013 04:44 PM - Jan Dolinár

Hi Koldo,

Could you give me few more details please? What version of Xubuntu do you use? And what source of the packages did you use?

As far as I can see in the control file, line 11 the upp package depends on libbz2-dev and libgtk2.0-dev. My guess is you installed only theide, right? TheIDE

itself does not logically depend on those (user might want to use it for CLI programs only). I could perhaps add it as optional or recommended

dependencies...

#2 - 10/29/2013 09:07 AM - Miroslav Fidler

- Assignee changed from Jan Dolinár to Iñaki Zabala

#3 - 10/30/2013 01:26 PM - Iñaki Zabala

- Assignee changed from Iñaki Zabala to Jan Dolinár

Hello Jan

I have had this problem with Xubuntu 13.04 64 bits, installing from Launchpad.

Now I am not sure if I installed upp package too, maybe only TheIDE. As once installed it seems that everything is installed I thought it was the only

required package.

Now in Launchpad the options are:

theide-dbg_6501-1~raring0_amd64.deb (36.2 MiB)

    theide-dbg_6501-1~raring0_i386.deb (35.3 MiB)

    theide-nogtk-dbg_6501-1~raring0_amd64.deb (34.2 MiB)

04/26/2025 1/2

http://www.ultimatepp.org/redmine/projects/upp/repository/entry/trunk/uppbox/lpbuild2/debian/control#L11


    theide-nogtk-dbg_6501-1~raring0_i386.deb (33.3 MiB)

    theide-nogtk_6501-1~raring0_amd64.deb (4.7 MiB)

    theide-nogtk_6501-1~raring0_i386.deb (4.6 MiB)

    theide_6501-1~raring0_amd64.deb (4.9 MiB)

    theide_6501-1~raring0_i386.deb (4.8 MiB)

    umk-dbg_6501-1~raring0_amd64.deb (4.0 MiB)

    umk-dbg_6501-1~raring0_i386.deb (3.9 MiB)

    umk_6501-1~raring0_amd64.deb (492.1 KiB)

    umk_6501-1~raring0_i386.deb (481.5 KiB)

    upp_6501-1~raring0.debian.tar.gz (20.3 KiB)

    upp_6501-1~raring0.dsc (1.7 KiB)

    upp_6501-1~raring0_all.deb (38.6 MiB)

    upp_6501.orig.tar.gz (38.8 MiB)

In my case, as I understand I should have to install:

    theide_6501-1~raring0_amd64.deb (4.9 MiB)

    upp_6501-1~raring0_all.deb (38.6 MiB)

For me it is rather confusing. Could you simplify it for the basic user like me?

#4 - 10/30/2013 08:20 PM - Jan Dolinár

- Status changed from New to Ready for QA

- Assignee changed from Jan Dolinár to Iñaki Zabala

If you install 'upp' it will also install 'theide' as dependency. Nothing else is needed.

For your future reference and for others, I have added step by step instructions to the PPA description for both stable and nightly packages.

Not sure what more I could do to avoid confusion in the future...

#5 - 10/31/2013 08:50 AM - Iñaki Zabala

- Status changed from Ready for QA to Approved

Hello Jan

In addition I have included  "(install upp_*_all.deb)" in download page.

For me it is ok, thank you.
https://launchpad.net/~dolik-rce/+archive/upp
https://launchpad.net/~dolik-rce/+archive/upp-nightly

